// -----------------------------------------------------------------------
//  <copyright file="KeyValueOutputDto.cs" company="OSharp开源团队">
//      Copyright (c) 2014-2018 OSharp. All rights reserved.
//  </copyright>
//  <site>http://www.osharp.org</site>
//  <last-editor>郭明锋</last-editor>
//  <last-date>2018-08-25 21:35</last-date>
// -----------------------------------------------------------------------


namespace OSharp.Core.Systems;

/// <summary>
/// 输出DTO:键值数据
/// </summary>
[MapFrom(typeof(KeyValue))]
public class KeyValueOutputDto : IOutputDto, IDataAuthEnabled
{
    /// <summary>
    /// 获取或设置 编号
    /// </summary>
    [DisplayName("编号")]
    public Guid Id { get; set; }

    /// <summary>
    /// 获取或设置 数据值JSON
    /// </summary>
    [DisplayName("数据值JSON")]
    public string ValueJson { get; set; }

    /// <summary>
    /// 获取或设置 数据值类型名
    /// </summary>
    [DisplayName("数据值类型名")]
    public string ValueType { get; set; }

    /// <summary>
    /// 获取或设置 数据键名
    /// </summary>
    [DisplayName("数据键名")]
    public string Key { get; set; }

    /// <summary>
    /// 获取或设置 数据值
    /// </summary>
    [DisplayName("数据值")]
    public object Value { get; set; }

    /// <summary>
    /// 获取或设置 是否锁定
    /// </summary>
    [DisplayName("是否锁定")]
    public bool IsLocked { get; set; }

    /// <summary>
    /// 获取或设置 是否可更新的数据权限状态
    /// </summary>
    public bool Updatable { get; set; }

    /// <summary>
    /// 获取或设置 是否可删除的数据权限状态
    /// </summary>
    public bool Deletable { get; set; }
}